SELECT P.nom,F.nss,F.sou FROM funcionaris F, persones P WHERE F.dni=P.dni AND F.dni NOT IN (SELECT dni FROM pescadors) AND F.dni NOT IN (SELECT funcionari FROM multes WHERE infractor IN (SELECT dni FROM pescadors WHERE comunitat LIKE 'Catalunya'));

SELECT nom_cientific,long_mitja FROM especies E WHERE (SELECT DISTINCT COUNT(*) FROM zones)=(SELECT COUNT(*) FROM habitats GROUP BY (especie) HAVING especie=E.nom_popular);

SELECT DISTINCT Z.num_zona,Z.nom_massa,Z.municipi,Z.tipus_zona FROM zones Z, captures C WHERE Z.num_zona=C.num_zona AND Z.nom_massa=C.nom_massa AND C.long_mitja_captures<20 AND (Z.num_zona, Z.nom_massa) IN (SELECT num_zona, nom_massa FROM permisos GROUP BY num_zona, nom_massa HAVING COUNT (data_vigencia)>2);

SELECT Z.num_zona,Z.nom_massa,P.data_vigencia FROM zones Z,permisos P WHERE Z.num_zona=P.num_zona AND Z.nom_massa=P.nom_massa AND Z.tipus_zona NOT LIKE 'Veda' AND P.num_max_permisos= (SELECT MAX(num_max_permisos) FROM permisos);

SELECT * FROM habitats H,especies E WHERE H.especie=E.nom_popular AND H.nom_massa='Riu Ara';

SELECT P1.nom,P2.nom,M.motiu,M.data_multa FROM multes M, zones Z, persones P1, persones P2 WHERE M.funcionari=P1.dni AND M.infractor=P2.dni AND M.num_zona=Z.num_zona AND M.nom_massa=Z.nom_massa AND (Z.num_zona,Z.nom_massa) NOT IN (SELECT num_zona,nom_massa FROM assignacions);

UPDATE funcionaris F SET F.sou=F.sou*1.05 WHERE F.dni IN (SELECT funcionari FROM assignacions GROUP BY funcionari HAVING COUNT(*)>2);

DELETE FROM multes M1 WHERE M1.infractor IN (SELECT infractor FROM multes M GROUP BY infractor HAVING COUNT(*)<(SELECT COUNT(*) FROM multes WHERE infractor='98765435'));

CREATE VIEW vista1 AS SELECT F.dni,P.nom,Pes.ciutat FROM funcionaris F, pescadors Pes, persones P WHERE F.dni=Pes.dni AND F.dni=P.dni;

CREATE VIEW vista2 AS SELECT E.nom_popular,E.nom_cientific,E.long_mitja FROM especies E WHERE E.long_mitja>20 WITH CHECK OPTION;
